#!/bin/sh
 
#
# Set up the top and base directories
#
BASEDIR=__BASEDIR__
TOP=${BASEDIR}/SUNWlmon

# This script builds a file that contains event information.
# It then displays an xterm and invokes a script to display
# the event information.
# Arguments:
#   $1 - Library name where the event originated
#   $2 - Host name of the server the library is attached to 
#   $3 - Location of the library
#   $4 - Time the event was detected
#   $5 - High level description of event
#   $6 - More detailed information for event
#   $7 - Type specific data for the event if applicable
#   $8 - Recovery information if applicable
# Assumptions:
#   The xterm executable is located in the /usr/openwin/bin/xview directory
#   The LibMON product is located in the ${BASEDIR} directory	
#   The script to display the event information is named displayEvent.sh and resides
#   	in the ${TOP}/command/user directory
#   Read/write permissions exist for the template.out file located in the 
#       ${TOP}/command/user directory

echo "\07\07\07"
echo "Library            : " $1 >  ${TOP}/command/user/template.out
echo "On host            : " $2 >> ${TOP}/command/user/template.out
echo "At location        : " $3 >> ${TOP}/command/user/template.out 
echo "Time               : " $4 >> ${TOP}/command/user/template.out
echo "Condition          : " $5 >> ${TOP}/command/user/template.out
echo "Description        : " $6 >> ${TOP}/command/user/template.out
echo "Type Specific Data : " $7 >> ${TOP}/command/user/template.out
echo "Recovery Message   : " $8 >> ${TOP}/command/user/template.out
echo "Please check your event log on that host for further information."
/usr/openwin/bin/xview/xterm -title LibMON -bg red -fg black -sb -e ${TOP}/command/user/displayEvent.sh 
